Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.hyperlink
Class HyperlinkMouseAdapter

    java.lang.Object
      |
      +--java.awt.event.MouseAdapter
            |
            +--com.smardec.asc.hyperlink.HyperlinkMouseAdapter

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.MouseListener

public class HyperlinkMouseAdapter
extends java.awt.event.MouseAdapter

`MouseAdapter` that opens internet browser on mouse click.

Constructor Summary
`HyperlinkMouseAdapter(java.lang.String url)` Creates `HyperlinkMouseAdapter` instance with the specified url.

Method Summary
`java.lang.String` | `getUrl()` Returns url string.
`void` | `mouseClicked(java.awt.event.MouseEvent e)` Invoked when the mouse has been clicked on a component.
`void` | `setUrl(java.lang.String url)` Sets url string.

Methods inherited from class java.awt.event.MouseAdapter
`mouseEntered, mouseExited, mousePressed, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HyperlinkMouseAdapter

    public HyperlinkMouseAdapter(java.lang.String url)

  Creates `HyperlinkMouseAdapter` instance with the specified url.

Parameters:
  `url` - url to open

Method Detail

### getUrl

    public java.lang.String getUrl()

  Returns url string.

  Returns:
    url string.

### setUrl

    public void setUrl(java.lang.String url)

  Sets url string.

  Parameters:
    `url` - url string

### mouseClicked

    public void mouseClicked(java.awt.event.MouseEvent e)

  Invoked when the mouse has been clicked on a component. Opens internet browser.

  Specified by:
    `mouseClicked` in interface `java.awt.event.MouseListener`
  Overrides:
    `mouseClicked` in class `java.awt.event.MouseAdapter`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.